Next: Agent Options, Up: Invoking GPG-AGENT

### 2.1 Commands

Commands are not distinguished from options except for the fact that only one command is allowed.

`--version`
  Print the program version and licensing information. Note that you cannot abbreviate this command.
`--help`
`-h`
  Print a usage message summarizing the most useful command-line options. Note that you cannot abbreviate this command.
`--dump-options`
  Print a list of all available options and commands. Note that you cannot abbreviate this command.
`--server`
  Run in server mode and wait for commands on the `stdin`. The default mode is to create a socket and listen for commands there.
`--daemon [`command line`]`
  Start the gpg-agent as a daemon; that is, detach it from the console and run it in the background. Because `gpg-agent` prints out important information required for further use, a common way of invoking gpg-agent is: `eval $(gpg-agent --daemon)` to setup the environment variables. The option `--write-env-file` is another way commonly used to do this. Yet another way is creating a new process as a child of gpg-agent: `gpg-agent --daemon /bin/sh`. This way you get a new shell with the environment setup properly; if you exit from this shell, gpg-agent terminates as well.